"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.navbarVerticalAlign = navbarVerticalAlign;
exports.default = exports.defaultProps = void 0;

var _unitUtils = _interopRequireDefault(require("@bootstrap-styled/utils/lib/unitUtils"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultProps = {
  '$navbar-height': '50px'
};
/**
 * @public
 * @description Vertically center elements in the navbar depending on the value of its height.
 * @param {string} navbarHeight
 * @param {string} elementHeight
 * @returns {string}
 */

exports.defaultProps = defaultProps;

function navbarVerticalAlign() {
  var navbarHeight = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultProps['$navbar-height'];
  var elementHeight = arguments.length > 1 ? arguments[1] : undefined;
  var marginTop = "".concat((_unitUtils.default.rmUnit(navbarHeight, _unitUtils.default.UNIT.PX) - _unitUtils.default.rmUnit(elementHeight, _unitUtils.default.UNIT.PX)) / 2).concat(_unitUtils.default.UNIT.PX);
  var marginBottom = "".concat((_unitUtils.default.rmUnit(navbarHeight, _unitUtils.default.UNIT.PX) - _unitUtils.default.rmUnit(elementHeight, _unitUtils.default.UNIT.PX)) / 2).concat(_unitUtils.default.UNIT.PX);
  return "\n    margin-top: ".concat(marginTop, ";\n    margin-bottom: ").concat(marginBottom, ";  \n  ");
}

var _default = {
  defaultProps: defaultProps,
  navbarVerticalAlign: navbarVerticalAlign
};
exports.default = _default;