"use strict";

var _immutable = require("immutable");

var _gridFramework = require("../grid-framework");

var _grid = require("../grid");

describe('bootstrap grid-framework mixins', function () {
  it('makeGridColumns should return an empty css', function () {
    var css = (0, _gridFramework.makeGridColumns)(!_grid.defaultProps['$enable-grid-classes'], _grid.defaultProps['$grid-columns'], _grid.defaultProps['$grid-gutter-width'], _grid.defaultProps['$grid-breakpoints']);
    expect(css).toEqual('');
  });
  it('makeGridColumns should return a css', function () {
    var css = (0, _gridFramework.makeGridColumns)(_grid.defaultProps['$enable-grid-classes'], _grid.defaultProps['$grid-columns'], _grid.defaultProps['$grid-gutter-width'], _grid.defaultProps['$grid-breakpoints']);
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect((0, _immutable.fromJS)({
      css: css
    }).hashCode()).toEqual(998740797);
  });
  it('makeGridColumns should have arguments', function () {
    var css = (0, _gridFramework.makeGridColumns)();
    expect(css).not.toContain('undefined');
    expect(css).not.toContain('null');
    expect((0, _immutable.fromJS)({
      css: css
    }).hashCode()).toEqual(998740797);
  });
});